P1363_EMSA2 Struct Reference

EMSA2, for use with RWSS and RSA_ISO. More...

`#include <emsa2.h>`

Inheritance diagram for P1363_EMSA2:

## Public Types

typedef EMSA2Pad | SignatureMessageEncodingMethod

## Detailed Description

EMSA2, for use with RWSS and RSA_ISO.

Only the following hash functions are supported by this signature standard:

// EMSA2HashId can be instantiated with the following classes.
class SHA1;
class RIPEMD160;
class RIPEMD128;
class SHA256;
class SHA384;
class SHA512;
class Whirlpool;
class SHA224;
// end of list

Definition at line 79 of file emsa2.h.

The documentation for this struct was generated from the following file:

- emsa2.h